package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 月度统计
 * </p>
 *
 * @author mk
 * @since 2023-10-24
 */
@TableName("statistics_month_log")
@ApiModel(value="StatisticsMonthLog对象", description="月度统计")
public class StatisticsMonthLog extends Model<StatisticsMonthLog> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "统计时间")
    @TableField("statistics_time")
    private Date statisticsTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "代理商")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属区域")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "月份")
    @TableField("month")
    private String month;

    @ApiModelProperty(value = "周期类型（0：月；1：年）")
    @TableField("parse_type")
    private Integer parseType;

    @ApiModelProperty(value = "角色类型（1：代理；0：站点）")
    @TableField("custom_type")
    private Integer customType;

    @ApiModelProperty(value = "用纸效率")
    @TableField("paper_efficiency")
    private Double paperEfficiency;

    @ApiModelProperty(value = "用纸长度")
    @TableField("paper_length")
    private Long paperLength;

    @ApiModelProperty(value = "出纸次数")
    @TableField("paper_count")
    private Integer paperCount;

    @ApiModelProperty(value = "有效使用人数")
    @TableField("use_count")
    private Integer useCount;

    @ApiModelProperty(value = "总人次")
    @TableField("total_count")
    private Integer totalCount;

    @ApiModelProperty(value = "设备在线数")
    @TableField("hardware_count")
    private Integer hardwareCount;

    @ApiModelProperty(value = "设备台天数")
    @TableField("hardware_day_count")
    private Integer hardwareDayCount;

    @ApiModelProperty(value = "激活卷数")
    @TableField("rfid_count")
    private Integer rfidCount;

    @ApiModelProperty(value = "维修设备数")
    @TableField("equipment_repair_count")
    private Integer equipmentRepairCount;

    @ApiModelProperty(value = "城市")
    @TableField("city")
    private String city;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Date getStatisticsTime() {
        return statisticsTime;
    }

    public void setStatisticsTime(Date statisticsTime) {
        this.statisticsTime = statisticsTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getMonth() {
        return month;
    }

    public void setMonth(String month) {
        this.month = month;
    }

    public Integer getParseType() {
        return parseType;
    }

    public void setParseType(Integer parseType) {
        this.parseType = parseType;
    }

    public Integer getCustomType() {
        return customType;
    }

    public void setCustomType(Integer customType) {
        this.customType = customType;
    }

    public Double getPaperEfficiency() {
        return paperEfficiency;
    }

    public void setPaperEfficiency(Double paperEfficiency) {
        this.paperEfficiency = paperEfficiency;
    }

    public Long getPaperLength() {
        return paperLength;
    }

    public void setPaperLength(Long paperLength) {
        this.paperLength = paperLength;
    }

    public Integer getPaperCount() {
        return paperCount;
    }

    public void setPaperCount(Integer paperCount) {
        this.paperCount = paperCount;
    }

    public Integer getUseCount() {
        return useCount;
    }

    public void setUseCount(Integer useCount) {
        this.useCount = useCount;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getHardwareCount() {
        return hardwareCount;
    }

    public void setHardwareCount(Integer hardwareCount) {
        this.hardwareCount = hardwareCount;
    }

    public Integer getHardwareDayCount() {
        return hardwareDayCount;
    }

    public void setHardwareDayCount(Integer hardwareDayCount) {
        this.hardwareDayCount = hardwareDayCount;
    }

    public Integer getRfidCount() {
        return rfidCount;
    }

    public void setRfidCount(Integer rfidCount) {
        this.rfidCount = rfidCount;
    }

    public Integer getEquipmentRepairCount() {
        return equipmentRepairCount;
    }

    public void setEquipmentRepairCount(Integer equipmentRepairCount) {
        this.equipmentRepairCount = equipmentRepairCount;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "StatisticsMonthLog{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", statisticsTime=" + statisticsTime +
        ", softDelete=" + softDelete +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", month=" + month +
        ", parseType=" + parseType +
        ", customType=" + customType +
        ", paperEfficiency=" + paperEfficiency +
        ", paperLength=" + paperLength +
        ", paperCount=" + paperCount +
        ", useCount=" + useCount +
        ", totalCount=" + totalCount +
        ", hardwareCount=" + hardwareCount +
        ", hardwareDayCount=" + hardwareDayCount +
        ", rfidCount=" + rfidCount +
        ", equipmentRepairCount=" + equipmentRepairCount +
        ", city=" + city +
        "}";
    }
}
